import java.awt.Shape;
import java.awt.geom.Ellipse2D;

/**
 * Ein Tisch , der manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * @author  claus albowski
 */
public class Tisch extends Moebel
{

  /**
   * Erzeuge einen neuen Tisch .
   */
    public Tisch(int x, int y)
  {
    xPosition = x;yPosition = y; farbe = "blau"; orientierung = 0; istSichtbar = false;
    breite = 120; tiefe  = 100;
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      Shape tisch = new Ellipse2D.Double(0 , 0, breite, tiefe);
      return transformiere(tisch);
  }
  
}
